extends Node


# Declare member variables here. Examples:
# var a = 2
# var b = "text"



func _ready():
	create_row(0, "alien1")
	create_row(1, "alien2")
	create_row(2, "alien2")
	create_row(3, "alien3")
	create_row(4, "alien3")

func create_row(y, type):
	for x in range(11):
		var alien = preload("res://Alien.tscn").instance()
		add_child(alien)
		alien.start(64 * x + 50, 64 * y + 50, type)
		alien.connect("drop_bomb", self, "on_bomb_dropped")

func on_bomb_dropped(position):
	var bomb = preload("res://AlienBomb.tscn").instance()
	bomb.start(position.x, position.y + 32)
	add_child(bomb)


func _on_Limits_area_entered(area):
	if $BounceTimer.is_stopped():
		$BounceTimer.start()
		get_tree().call_group("enemies", "bounce")
	


