extends Area2D

var gunship_speed = 400

func _ready():
	$AnimatedSprite.frame = 5
	position = Vector2(get_viewport_rect().size.x / 2, get_viewport_rect().size.y - 32)

func _process(delta):
	
	var movement = Vector2(0, 0)
	
	if Input.is_key_pressed(KEY_SPACE):
		if $FireTimer.is_stopped():
			$FireTimer.start()
			$AnimatedSprite.frame = 0
			$AnimatedSprite.play("fire")
		
	if Input.is_key_pressed(KEY_LEFT):
		movement.x = movement.x - 1
	
	if Input.is_key_pressed(KEY_RIGHT):
		movement.x = movement.x + 1
	
	if movement.length() != 0:
		position = position + (gunship_speed * delta) * movement
		position.x = clamp(position.x, 32, get_viewport_rect().size.x - 32)
		


func _on_GunShip_area_entered(area):
	gunship_speed = 0
	$CollisionPolygon2D.set_deferred("disabled", true)
	$AnimatedSprite.frame = 0
	$AnimatedSprite.play("explode")
	yield($AnimatedSprite, "animation_finished")
	hide()
	queue_free()
	
	
