extends Area2D

var speed = 80
var direction = 1

func _process(delta):
	position.x = position.x + direction * speed * delta


func destroy():
	speed = 0
	$CollisionShape2D.set_deferred("disabled", true)
	$AnimatedSprite.play("explode")
	yield($AnimatedSprite, "animation_finished")
	hide()
	queue_free()

func bounce():
	direction = -direction
	position.y = position.y + 10
	speed = speed + 10

func start(x, y, animation_name):
	position.x = x
	position.y = y
	$AnimatedSprite.play(animation_name)

func stop():
	speed = 0
	$AnimatedSprite.playing = false
	
	
